Page MenuHomePhabricator

Create staging-ms-fe* / staging-ms-be* (swift frontend/backend)
Closed, DeclinedPublic

Details

Related Gerrit Patches:
operations/puppet : productionAssign swift roles via ENC

Event Timeline

greg created this task.Mar 4 2015, 8:05 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added a project: Staging.
greg added subscribers: thcipriani, Aklapper, demon and 3 others.

Change 200625 had a related patch set uploaded (by Thcipriani):
Assign swift roles via ENC

https://gerrit.wikimedia.org/r/200625

Roughly followed wikitech instructions for swift cluster: https://wikitech.wikimedia.org/wiki/Swift/Setup_New_Swift_Cluster

Requires a couple of bash scripts, but can be spun up and down in ~15 mins.

Process

  1. Create staging-ms-be{0..3} and run puppet on each instance
  2. Create loopback storage on each backend: https://phabricator.wikimedia.org/P453 and run puppet again
  3. Create staging-ms-fe01 and run puppet
  4. Run https://phabricator.wikimedia.org/P454 on staging-ms-fe01 to create account, object, container builders and rings
  5. Copy {account,container,object}.{builder,ring.gz} from /etc/swift/ on staging-ms-fe01 to /var/lib/puppet/volatile/swift/staging on palladium
  6. Run puppet agent on staging-ms-be{0..3} to distribute builder and rings
  7. Run https://phabricator.wikimedia.org/P455 on staging-ms-fe01 to create the mw:media and swift:dispersion accounts and users

still need imagescaler and mw-app instance to really finish off this task, but I think that updates to https://wikitech.wikimedia.org/wiki/Hiera:Staging plus the patch above cover most of the work.

demon added a comment.Mar 31 2015, 2:08 PM

Steps 2, 4, 5 and 7 are icky, but otherwise this is pretty straightforward.

Change 200625 merged by Filippo Giunchedi:
Assign swift roles via ENC

https://gerrit.wikimedia.org/r/200625

greg set Security to None.
demon closed this task as Declined.Apr 26 2016, 4:11 PM